Current apps and system requirements

Current Apps

iOS: v1.15.1

Android: v1.13.0

System requirements

iOS:  iPhone, iPad, or iPod Touch

  • iOS 8.0+
  • Only official iOS releases are supported.

Android:  Android 4.0.3

Updated: Nov 16, 2017

Have more questions? Submit a request